Package helma.framework

# Interface IRemoteApp

All Superinterfaces:
  `Remote`

public interface IRemoteApp extends Remote
RMI interface for an application. Currently only execute is used and supported.

## Method Summary

Modifier and Type
Method
Description
`ResponseTrans`
`execute(RequestTrans param)`
`void`
`ping()`

## Method Details

### execute

ResponseTrans execute(RequestTrans param) throws RemoteException

Parameters:
  `param` - ...
Returns:
  ...
Throws:
  `RemoteException` - ...

### ping

void ping() throws RemoteException

Throws:
  `RemoteException` - ...